/*
** HDL4SE: VerilogۺϷƽ̨
** Copyright (C) 2021-2021, raoxianhong<raoxianhong@163.net>
** LCOM: ģ
** Copyright (C) 2021-2021, raoxianhong<raoxianhong@163.net>
** All rights reserved.
**
** Redistribution and use in source and binary forms, with or without
** modification, are permitted provided that the following conditions are met:
**
** * Redistributions of source code must retain the above copyright notice,
**   this list of conditions and the following disclaimer.
** * Redistributions in binary form must reproduce the above copyright notice,
**   this list of conditions and the following disclaimer in the documentation
**   and/or other materials provided with the distribution.
** * The name of the author may be used to endorse or promote products
**   derived from this software without specific prior written permission.
**
** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
** AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
** IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
** ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
** LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
** CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
** SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
** INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
** CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
** ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF
** THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
* verilog_keyword.h
  ޸ļ¼
    202105280612: rxh, initial version
*/
#ifndef __VERILOG_KEYWORD_H
#define __VERILOG_KEYWORD_H

#ifdef __cplusplus
extern "C" {
#endif

#ifndef _ASMLANGUAGE
#if 0
#define KW_ALWAYS       128
#define KW_AND          129
#define KW_ASSIGN       130
#define KW_AUTOMATIC    131
#define KW_BEGIN        132
#define KW_BUF          133
#define KW_BUFIF0       134
#define KW_BUFIF1       135
#define KW_CASE 136
#define KW_CASEX 137
#define KW_CASEZ 138
#define KW_CELL 139
#define KW_CMOS 140
#define KW_CONFIG 141
#define KW_DEASSIGN 142
#define KW_DEFAULT 143
#define KW_DEFPARAM 144
#define KW_DESIGN 145
#define KW_DISABLE 146
#define KW_EDGE 147
#define KW_ELSE 148
#define KW_END 149
#define KW_ENDCASE 150
#define KW_ENDCONFIG  151
#define KW_ENDFUNCTION 152
#define KW_ENDGENERATE 153
#define KW_ENDMODULE 154
#define KW_ENDPRIMITIVE 155
#define KW_ENDSPECIFY 156
#define KW_ENDTABLE 157
#define KW_ENDTASK 158
#define KW_EVENT 159
#define KW_FOR 160
#define KW_FORCE 161
#define KW_FOREVER 162
#define KW_FORK 163
#define KW_FUNCTION 164
#define KW_GENERATE 165
#define KW_GENVAR 166
#define KW_HIGHZ0 167
#define KW_HIGHZ1 168
#define KW_IF 169
#define KW_IFNONE 170
#define KW_INCDIR 171
#define KW_INCLUDE 172
#define KW_INITIAL 173
#define KW_INOUT 174
#define KW_INPUT 175
#define KW_INSTANCE 176
#define KW_INTEGER 177
#define KW_JOIN 178
#define KW_LARGE 179
#define KW_LIBLIST 180
#define KW_LIBRARY 181
#define KW_LOCALPARAM 182
#define KW_MACROMODULE 183
#define KW_MEDIUM 184
#define KW_MODULE 185
#define KW_NAN 186
#define KW_NEGEDGE 187
#define KW_NMOS 188
#define KW_NOR 189
#define KW_NOSHOWCANCELLED 190
#define KW_NOT 191
#define KW_NOTIF0 192
#define KW_NOTIF1 193
#define KW_OR 194
#define KW_OUTPUT 195
#define KW_PARAMETER 196
#define KW_PATHPULSE 197
#define KW_PMOS 198
#define KW_POSEDGE 199
#define KW_PRIMITIVE 200
#define KW_PULL0 201
#define KW_PULL1 202
#define KW_PULLDOWN 203
#define KW_PULLUP 204
#define KW_PULSESTYLE_ONEVENT 205
#define KW_PULSESTYLE_ONDETECT 206
#define KW_RCMOS 207
#define KW_REAL 208
#define KW_REALTIME 209
#define KW_REG 210
#define KW_RELEASE 211
#define KW_REPEAT 212
#define KW_RNMOS 213
#define KW_RPMOS 214
#define KW_RTRAN 215
#define KW_RTRANIF0 216
#define KW_RTRANIF1 217
#define KW_SCALARED 218
#define KW_SHOWCANCELLED 219
#define KW_SIGNED 220
#define KW_SMALL 221
#define KW_SPECIFY 222
#define KW_SPECPARAM 223
#define KW_STRONG0 224
#define KW_STRONG1 225
#define KW_SUPPLY0 226
#define KW_SUPPLY1 227
#define KW_TABLE 228
#define KW_TASK 229
#define KW_TIME 230
#define KW_TRAN 231
#define KW_TRANIF0 232
#define KW_TRANIF1 233
#define KW_TRI 234
#define KW_TRI0 235
#define KW_TRI1 236
#define KW_TRIAND 237
#define KW_TRIOR 238
#define KW_TRIREG 239
#define KW_UNSIGNED 240
#define KW_USE 241
#define KW_VECTORED 242
#define KW_WAIT 243
#define KW_WAND 244
#define KW_WEAK0 245
#define KW_WEAK1 246
#define KW_WHILE 247
#define KW_WIRE 248
#define KW_WOR 249
#define KW_XNOR 250
#define KW_XOR 251
#define KW_NAND 252
#endif


int verilog_find_keyword_word(const char* ident);

#endif

#ifdef __cplusplus
 }
#endif

#endif
