#include <stdio.h>
#include <stdlib.h>

#include "object.h"
#include "preprocess.h"
#include "verilog_preprocess.h"
#include "string.h"

int SetPreProcess(HOBJECT object);
int yylex();
int yyparse(void);
char* yytext;

int main(int argc, char* argv[])
{
	IPreprocess** p;
	preprocessVerilogCreate(&p);
	objectCall1(p, AddIncludePath, "c:/tools/");
	SetPreProcess(p);
	objectCall2(p, SetFile, argv[1], 0);

	yyparse();

	objectRelease(p);
	return 0;
}